TIME(3)

NAME
time - get time of day

SYNOPSIS
#include <time.h>
time_t
time(time_t *tloc);

DESCRIPTION
The time() function returns the value of time in seconds since 0 hours, 0 minutes, 0 seconds, January 1, 1970, Coordinated Universal Time (UTC).

A copy of the time value may be saved to the area indicated by the pointer tloc. If tloc is a null pointer, no value is stored.

RETURN VALUES
Upon successful completion, time() returns the value of time. Otherwise a value of (time_t)-1 is returned and the global variable errno is set to indicate the error.

ERRORS
The following error codes may be set in errno:

[EFAULT]
    An argument address referenced invalid memory.

SEE ALSO
clock_gettime(2), gettimeofday(2), ctime(3)

HISTORY
A time() system call first appeared in AT&T UNIX and used to return time in sixtieths of a second in 32 bits, which was to guarantee a crisis every 2.26 years. Since AT&T UNIX, time() scale was changed to seconds, extending the pre-crisis stagnation period up to a total of 68 years.